org.apache.lucene.facet.search

## Class ScoringAggregator

- java.lang.Object
- - org.apache.lucene.facet.search.ScoringAggregator

All Implemented Interfaces:
  Aggregator

    public class ScoringAggregator
    extends Object
    implements Aggregator

An `Aggregator` which updates the weight of a category according to the scores of the documents it was found in.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`ScoringAggregator(float[] counterArray)`

### Method Summary

Methods
`void` `aggregate(int docID, float score, IntsRef ordinals)` Aggregate the ordinals of the given document ID (and its score).
`boolean` `equals(Object obj)`
`int` `hashCode()`
`boolean` `setNextReader(AtomicReaderContext context)` Sets the `AtomicReaderContext` for which `Aggregator.aggregate(int, float, IntsRef)` calls will be made.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScoringAggregator

    public ScoringAggregator(float[] counterArray)

### Method Detail

#### aggregate

    public void aggregate(int docID,
                 float score,
                 IntsRef ordinals)
                   throws IOException

Description copied from interface: `Aggregator`
Aggregate the ordinals of the given document ID (and its score). The given ordinals offset is always zero.

Specified by:
  `aggregate` in interface `Aggregator`
Throws:
  `IOException`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### setNextReader

    public boolean setNextReader(AtomicReaderContext context)
                          throws IOException

Description copied from interface: `Aggregator`
Sets the `AtomicReaderContext` for which `Aggregator.aggregate(int, float, IntsRef)` calls will be made. If this method returns false, `Aggregator.aggregate(int, float, IntsRef)` should not be called for this reader.

Specified by:
  `setNextReader` in interface `Aggregator`
Throws:
  `IOException`